import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("site_page_meta_cms")
export class SitePageMetaCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true, type: 'longtext'})
    signupPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    signupPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    loginPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    loginPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    homePageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    homePageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    aboutPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    aboutPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    pricingPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    pricingPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    contactPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    contactPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    careerPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    careerPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    careerDetailsPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    careerDetailsPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    faqPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    faqPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    faqDetailsPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    faqDetailsPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    partnerPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    partnerPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    pressKitPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    pressKitPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    termsPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    termsPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    securityPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    securityPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    privacyPageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    privacyPageMetaDescription: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    schedulePageMetaKeyword: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    schedulePageMetaDescription: string;
}
